import BaseLayout from "@/components/BaseLayout";
import type { Metadata } from "next";
import { AppRouterCacheProvider } from "@mui/material-nextjs/v14-appRouter";

export const metadata: Metadata = {
  title: "Rodolf",
  description: "Bonjour",
};

// See https://mui.com/material-ui/guides/nextjs/
export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  const API_ENDPOINT = process.env.RODOLF_API_URL;

  if (!API_ENDPOINT) {
    throw new Error("No api endpoint configured");
  }

  return (
    <html lang="en">
      <body style={{ margin: 0 }}>
        <AppRouterCacheProvider>
          <BaseLayout endpoint={API_ENDPOINT}>{children}</BaseLayout>
        </AppRouterCacheProvider>
      </body>
    </html>
  );
}
