import { Breadcrumbs, Typography } from "@mui/material";
import Link from "next/link";

export function BreadcrumbsMenu({ page }: { page: string }) {
  return (
    <Breadcrumbs aria-label="breadcrumb">
      <Link
        href="/"
        prefetch={false}
        style={{
          textDecoration: "none",
          color: "inherit",
          flex: 1,
        }}
      >
        Menu
      </Link>
      <Typography color="text.primary">{page}</Typography>
    </Breadcrumbs>
  );
}
