import { Card, CardActionArea, SxProps, Theme } from "@mui/material";
import { MouseEventHandler, PropsWithChildren } from "react";

export const preventPropagation: MouseEventHandler = (e) => {
  e.stopPropagation();
  e.preventDefault();
};

interface BaseCardProps {
  onClick?: () => void;
  sx?: SxProps<Theme>;
}

export function BaseCard({
  onClick,
  sx,
  children,
}: PropsWithChildren<BaseCardProps>) {
  return (
    <Card
      sx={{
        width: 250,
        height: 200,
        ...sx,
      }}
    >
      <CardActionArea onClick={onClick} sx={{ height: "100%" }} component={"a"}>
        {children}
      </CardActionArea>
    </Card>
  );
}
