import { useApiGetDataServiceList } from "@/api/cubicweb";
import { DataService } from "@/types";
import { useEffect, useState } from "react";
import { useHandleAuthErrors } from "./useHandleAuthErrors";

export function useGetDataServiceList() {
  const [loading, setLoading] = useState(true);
  const [data, setData] = useState<Array<DataService> | undefined>(undefined);
  const handleAuthErrors = useHandleAuthErrors();
  const getDataServiceList = useApiGetDataServiceList();

  useEffect(() => {
    setLoading(true);
    getDataServiceList()
      .then((result) => {
        console.log(result);
        setLoading(false);
        setData(result);
      })
      .catch(handleAuthErrors);
  }, [handleAuthErrors]);
  return { loading, data };
}
